Summary: SME Server specific Nag configuration and templates.
%define name smeserver-nag
Name: %{name}
%define version 1.1
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nag-1.1-1.prefs_php.patch
Patch1: smeserver-nag-1.1-2.conf_php.patch
Patch2: smeserver-nag-1.1-3.mysql_init_perm_change.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.1
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: nag-h3 >= 2.1
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: dcb-e-smith-nag

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Dec 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-3
- Patch to change the nag mysql.init permissions to 0540

* Wed Sep 13 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-2
- Patch to conf.php templates to reflect changes in nag 2.1.1

* Wed Sep 13 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- Patch to prefs.php templates to reflect changes in nag 2.1.1

* Wed Sep 13 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-0
- Rolled to new dev stream to reflect work done for nag 2.1.1

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-9
- Added Nag registry.php settings in horde/config/registry

* Sat Jun 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-8
- Removed 1.0-7 patch and fixed in source

* Sat Jun 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-7
- Removed deprecated calls to esmith:db and esmith:config

* Wed Mar 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-6
- Added an includes statement to 120Menusettings that will grab the information 
  in horde/conf.menu.apps.php.  This way each of the individual horde modules 
  don't have to repeatedly process the same template for the menu array section in conf.php.

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-5
- Added the ability to enable or disable nag menu icon from showing up on the
  main webmail screen.  To enable config set nag service MenuArray disabled|enabled
- e-smith-horde still needs to support this feature or manual intervention is
  required.

* Wed Mar 1 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-4
- Removed post and postun events
- Renamed to smeserver-nag to represent an addon product

* Sun Feb 25 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-3
- modified spec file to come in line with e-smith-horde
- modified createlinks to add templates2expand, symlinks, and prepped for 
  post-install actions

* Thu Feb 23 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2 
- completed template fragments for conf.php and prefs.php 
- recreated tar.gz file for the changes instead of doing patches since I am
  trying to get this to initial build/testing phase

* Wed Feb 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Initial build

%description
This package adds necessary templates and configuration items
so that Nag will work properly.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
